Results 1 to 8 of 8

Thread: Yum Install Issue

  1. #1

    Angry Yum Install Issue

    [root@tornado yum.repos.d]# yum install owncloud -y
    Loaded plugins: fastestmirror, security
    Loading mirror speeds from cached hostfile
    * base: centos.mirror.facebook.net
    * extras: repos.lax.quadranet.com
    * updates: linux.mirrors.es.net
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package owncloud.noarch 0:6.0.4-8.1 will be installed
    --> Processing Dependency: owncloud-3rdparty for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-json for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: httpd for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-process for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-zip for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-pear-MDB2-Driver-mysqli for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: mysql for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-mbstring for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-pear-Net-Curl for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-gd for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-xml for package: owncloud-6.0.4-8.1.noarch
    --> Running transaction check
    ---> Package httpd.x86_64 0:2.2.15-30.el6.centos will be installed
    --> Processing Dependency: httpd-tools = 2.2.15-30.el6.centos for package: httpd-2.2.15-30.el6.centos.x86_64
    --> Processing Dependency: apr-util-ldap for package: httpd-2.2.15-30.el6.centos.x86_64
    --> Processing Dependency: libaprutil-1.so.0()(64bit) for package: httpd-2.2.15-30.el6.centos.x86_64
    --> Processing Dependency: libapr-1.so.0()(64bit) for package: httpd-2.2.15-30.el6.centos.x86_64
    ---> Package mysql.x86_64 0:5.1.73-3.el6_5 will be installed
    ---> Package owncloud.noarch 0:6.0.4-8.1 will be installed
    --> Processing Dependency: php-pear-MDB2-Driver-mysqli for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-pear-Net-Curl for package: owncloud-6.0.4-8.1.noarch
    ---> Package owncloud-3rdparty.noarch 0:6.0.4-8.1 will be installed
    ---> Package php.x86_64 0:5.3.3-27.el6_5 will be installed
    --> Processing Dependency: php-cli(x86-64) = 5.3.3-27.el6_5 for package: php-5.3.3-27.el6_5.x86_64
    ---> Package php-common.x86_64 0:5.3.3-27.el6_5 will be installed
    ---> Package php-gd.x86_64 0:5.3.3-27.el6_5 will be installed
    --> Processing Dependency: libXpm.so.4()(64bit) for package: php-gd-5.3.3-27.el6_5.x86_64
    ---> Package php-mbstring.x86_64 0:5.3.3-27.el6_5 will be installed
    ---> Package php-process.x86_64 0:5.3.3-27.el6_5 will be installed
    ---> Package php-xml.x86_64 0:5.3.3-27.el6_5 will be installed
    --> Running transaction check
    ---> Package apr.x86_64 0:1.3.9-5.el6_2 will be installed
    ---> Package apr-util.x86_64 0:1.3.9-3.el6_0.1 will be installed
    ---> Package apr-util-ldap.x86_64 0:1.3.9-3.el6_0.1 will be installed
    ---> Package httpd-tools.x86_64 0:2.2.15-30.el6.centos will be installed
    ---> Package libXpm.x86_64 0:3.5.10-2.el6 will be installed
    ---> Package owncloud.noarch 0:6.0.4-8.1 will be installed
    --> Processing Dependency: php-pear-MDB2-Driver-mysqli for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-pear-Net-Curl for package: owncloud-6.0.4-8.1.noarch
    ---> Package php-cli.x86_64 0:5.3.3-27.el6_5 will be installed
    --> Finished Dependency Resolution
    Error: Package: owncloud-6.0.4-8.1.noarch (isv_ownCloud_community)
    Requires: php-pear-Net-Curl
    Error: Package: owncloud-6.0.4-8.1.noarch (isv_ownCloud_community)
    Requires: php-pear-MDB2-Driver-mysqli
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest
    [root@tornado yum.repos.d]# yum install owncloud -y --skip-broken
    Loaded plugins: fastestmirror, security
    Loading mirror speeds from cached hostfile
    * base: centos.mirror.facebook.net
    * extras: repos.lax.quadranet.com
    * updates: linux.mirrors.es.net
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package owncloud.noarch 0:6.0.4-8.1 will be installed
    --> Processing Dependency: owncloud-3rdparty for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-json for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: httpd for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-process for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-zip for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-pear-MDB2-Driver-mysqli for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: mysql for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-mbstring for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-pear-Net-Curl for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-gd for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-xml for package: owncloud-6.0.4-8.1.noarch
    --> Running transaction check
    ---> Package httpd.x86_64 0:2.2.15-30.el6.centos will be installed
    --> Processing Dependency: httpd-tools = 2.2.15-30.el6.centos for package: httpd-2.2.15-30.el6.centos.x86_64
    --> Processing Dependency: apr-util-ldap for package: httpd-2.2.15-30.el6.centos.x86_64
    --> Processing Dependency: libaprutil-1.so.0()(64bit) for package: httpd-2.2.15-30.el6.centos.x86_64
    --> Processing Dependency: libapr-1.so.0()(64bit) for package: httpd-2.2.15-30.el6.centos.x86_64
    ---> Package mysql.x86_64 0:5.1.73-3.el6_5 will be installed
    ---> Package owncloud.noarch 0:6.0.4-8.1 will be installed
    --> Processing Dependency: php-pear-MDB2-Driver-mysqli for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-pear-Net-Curl for package: owncloud-6.0.4-8.1.noarch
    ---> Package owncloud-3rdparty.noarch 0:6.0.4-8.1 will be installed
    ---> Package php.x86_64 0:5.3.3-27.el6_5 will be installed
    --> Processing Dependency: php-cli(x86-64) = 5.3.3-27.el6_5 for package: php-5.3.3-27.el6_5.x86_64
    ---> Package php-common.x86_64 0:5.3.3-27.el6_5 will be installed
    ---> Package php-gd.x86_64 0:5.3.3-27.el6_5 will be installed
    --> Processing Dependency: libXpm.so.4()(64bit) for package: php-gd-5.3.3-27.el6_5.x86_64
    ---> Package php-mbstring.x86_64 0:5.3.3-27.el6_5 will be installed
    ---> Package php-process.x86_64 0:5.3.3-27.el6_5 will be installed
    ---> Package php-xml.x86_64 0:5.3.3-27.el6_5 will be installed
    --> Running transaction check
    ---> Package apr.x86_64 0:1.3.9-5.el6_2 will be installed
    ---> Package apr-util.x86_64 0:1.3.9-3.el6_0.1 will be installed
    ---> Package apr-util-ldap.x86_64 0:1.3.9-3.el6_0.1 will be installed
    ---> Package httpd-tools.x86_64 0:2.2.15-30.el6.centos will be installed
    ---> Package libXpm.x86_64 0:3.5.10-2.el6 will be installed
    ---> Package owncloud.noarch 0:6.0.4-8.1 will be installed
    --> Processing Dependency: php-pear-MDB2-Driver-mysqli for package: owncloud-6.0.4-8.1.noarch
    --> Processing Dependency: php-pear-Net-Curl for package: owncloud-6.0.4-8.1.noarch
    ---> Package php-cli.x86_64 0:5.3.3-27.el6_5 will be installed


    Packages skipped because of dependency problems:
    apr-1.3.9-5.el6_2.x86_64 from base
    apr-util-1.3.9-3.el6_0.1.x86_64 from base
    apr-util-ldap-1.3.9-3.el6_0.1.x86_64 from base
    httpd-2.2.15-30.el6.centos.x86_64 from updates
    httpd-tools-2.2.15-30.el6.centos.x86_64 from updates
    libXpm-3.5.10-2.el6.x86_64 from base
    mysql-5.1.73-3.el6_5.x86_64 from updates
    owncloud-6.0.4-8.1.noarch from isv_ownCloud_community
    owncloud-3rdparty-6.0.4-8.1.noarch from isv_ownCloud_community
    php-5.3.3-27.el6_5.x86_64 from updates
    php-cli-5.3.3-27.el6_5.x86_64 from updates
    php-common-5.3.3-27.el6_5.x86_64 from updates
    php-gd-5.3.3-27.el6_5.x86_64 from updates
    php-mbstring-5.3.3-27.el6_5.x86_64 from updates
    php-process-5.3.3-27.el6_5.x86_64 from updates
    php-xml-5.3.3-27.el6_5.x86_64 from updates
    [root@tornado yum.repos.d]#

  2. #2

    Default Re: Yum Install Issue

    Quote Originally Posted by exilepc View Post
    [root@tornado yum.repos.d]# yum install owncloud -y
    I'm asking the obvious first.

    Why are you trying to use yum on an openSUSE installation?
    Or am I misunderstanding anything here?

    Please explain what you are trying to achieve, and somebody here will be trying to help you.

  3. #3

  4. #4

    Default Re: Yum Install Issue

    I am trying and failing at installing ownCloud....

  5. #5
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,746

    Default Re: Yum Install Issue

    yum is generally not used and probably not well supported. In openSUSE we use zypper

    Note you might want to check some of the prebuilt stuff I think I remember seein a mycloud that some one else already has done

  6. #6

    Default Re: Yum Install Issue

    Quote Originally Posted by exilepc View Post
    I am trying and failing at installing ownCloud....
    And you still haven't answered my first and foremost question:
    Why are you trying to use yum?

    Did you try to click on the 1-click install you yourself posted a link? (for openSUSE)
    What error message did you get?

    Are you actually using openSUSE, or something different like Fedora?

  7. #7

    Default Re: Yum Install Issue

    yum in opensuse not god

    use zypper
    ===================0-==- -==-0======================

    -=-

    oooooo

  8. #8
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,296
    Blog Entries
    2

    Default Re: Yum Install Issue

    On this page you reference,
    Click on the link "Add repository and install manually" if you want to install from the command line.

    Most packages are built using the Open Build Service.

    TSU

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •